Bug 874719 - Review Request: zukitwo - Themes for GTK+2, GTK+3, Metacity, GNOME Shell and Xfwm4
Review Request: zukitwo - Themes for GTK+2, GTK+3, Metacity, GNOME Shell and ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-08 12:55 EST by Mattia M.
Modified: 2015-01-21 12:53 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-15 03:06:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
leigh123linux: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Mattia M. 2012-11-08 12:55:39 EST
Spec URL: http://odysseus.fedorapeople.org/packages/Zukitwo/2012.11.08/zukitwo.spec
SRPM URL: http://odysseus.fedorapeople.org/packages/Zukitwo/2012.11.08/zukitwo-20120817-2.fc17.src.rpm
Description: The Zukitwo themes for GTK+2, GTK+3, Metacity, GNOME Shell and Xfwm4, created by lassekongo83.
Fedora Account System Username: odysseus

Note: This package was already reviewed and accepted. I have to request a new review because, after blocking it on some branches, I need to un-block it (see https://fedorahosted.org/rel-eng/ticket/5387 ).
Comment 1 Mattia M. 2012-11-09 02:31:37 EST
Here's the old review request: https://bugzilla.redhat.com/show_bug.cgi?id=752169
Comment 2 Michel Alexandre Salim 2012-11-10 22:48:44 EST
Re-review APPROVED


Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[-]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[-]: Fully versioned dependency in subpackages, if present.
     -common is noarch and so there's only one built.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in %package
     gtk3-theme, %package metacity-theme, %package -n gnome-shell-
     theme-%{name}, %package xfwm4-theme, %package gtk2-theme, %package common
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
     Note: A package already exist with this name, please check
     https://admin.fedoraproject.org/pkgdb/acls/name/zukitwo
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 40960 bytes in 2 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX / PatchY prefixed with %{name}.
[x]: SourceX is a working URL.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: zukitwo-metacity-theme-20120817-2.fc18.noarch.rpm
          zukitwo-xfwm4-theme-20120817-2.fc18.noarch.rpm
          zukitwo-20120817-2.fc18.src.rpm
          zukitwo-gtk3-theme-20120817-2.fc18.noarch.rpm
          zukitwo-gtk2-theme-20120817-2.fc18.noarch.rpm
          zukitwo-common-20120817-2.fc18.noarch.rpm
zukitwo-metacity-theme.noarch: W: no-documentation
zukitwo-xfwm4-theme.noarch: W: no-documentation
zukitwo-gtk3-theme.noarch: W: no-documentation
zukitwo-gtk2-theme.noarch: W: no-documentation
6 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint zukitwo-gtk2-theme zukitwo-common zukitwo-metacity-t 
heme zukitwo-xfwm4-theme zukitwo-gtk3-theme
zukitwo-gtk2-theme.noarch: W: no-documentation
zukitwo-metacity-theme.noarch: W: no-documentation
zukitwo-xfwm4-theme.noarch: W: no-documentation
zukitwo-gtk3-theme.noarch: W: no-documentation
5 packages and 0 specfiles checked; 0 errors, 4 warnings.
# echo 'rpmlint-done:'



Requires
--------
zukitwo-metacity-theme-20120817-2.fc18.noarch.rpm (rpmlib, GLIBC filtered):
    
    metacity
    zukitwo-common = 20120817-2.fc18

zukitwo-xfwm4-theme-20120817-2.fc18.noarch.rpm (rpmlib, GLIBC filtered):
    
    xfwm4
    zukitwo-common = 20120817-2.fc18

zukitwo-gtk3-theme-20120817-2.fc18.noarch.rpm (rpmlib, GLIBC filtered):
    
    gtk-unico-engine >= 1.0.2
    zukitwo-common = 20120817-2.fc18

zukitwo-gtk2-theme-20120817-2.fc18.noarch.rpm (rpmlib, GLIBC filtered):
    
    gtk-murrine-engine >= 0.98.1.1
    gtk2-engines
    zukitwo-common = 20120817-2.fc18

zukitwo-common-20120817-2.fc18.noarch.rpm (rpmlib, GLIBC filtered):
    



Provides
--------
zukitwo-metacity-theme-20120817-2.fc18.noarch.rpm:
    
    zukitwo-metacity-theme = 20120817-2.fc18

zukitwo-xfwm4-theme-20120817-2.fc18.noarch.rpm:
    
    zukitwo-xfwm4-theme = 20120817-2.fc18

zukitwo-gtk3-theme-20120817-2.fc18.noarch.rpm:
    
    zukitwo-gtk3-theme = 20120817-2.fc18

zukitwo-gtk2-theme-20120817-2.fc18.noarch.rpm:
    
    zukitwo-gtk2-theme = 20120817-2.fc18

zukitwo-common-20120817-2.fc18.noarch.rpm:
    
    zukitwo-common = 20120817-2.fc18



MD5-sum check
-------------
http://www.deviantart.com/download/203936861/zukitwo_by_lassekongo83-d3df2ot.zip :
  CHECKSUM(SHA256) this package     : 292f32a50221064b99ab5e7ca0076493e343c30e135a84e46be2034c0e8eee47
  CHECKSUM(SHA256) upstream package : 292f32a50221064b99ab5e7ca0076493e343c30e135a84e46be2034c0e8eee47


Generated by fedora-review 0.3.1 (b71abc1) last change: 2012-10-16
Buildroot used: fedora-18-x86_64
Command line :/usr/bin/fedora-review -m fedora-18-x86_64 -b 874719
Comment 3 Mattia M. 2012-11-11 03:02:05 EST
New Package SCM Request
=======================
Package Name: zukitwo
Short Description: Themes for GTK+2, GTK+3, Metacity, GNOME Shell and Xfwm4
Owners: odysseus
Branches: f16 f17 f18 f19
InitialCC:
Comment 4 Mattia M. 2012-11-11 03:27:49 EST
New Package SCM Request
=======================
Package Name: zukitwo
Short Description: The Zukitwo themes for GTK+2, GTK+3, Metacity, GNOME Shell and Xfwm4, created by lassekongo83
Owners: odysseus
Branches: f17 f18
InitialCC:
Comment 5 Jon Ciesla 2012-11-12 08:54:38 EST
Already exists.
Comment 6 Mattia M. 2012-11-12 15:20:23 EST
Package Change Request
======================
Package Name: zukitwo
New Branches: f18
Owners: odysseus

I need to unblock this package on all branches > f17.
I wish a "Package Change Request" is the right way to do so.
Comment 7 Jon Ciesla 2012-11-12 15:28:40 EST
File a trac with rel-eng.
Comment 8 Mattia M. 2012-11-13 02:30:30 EST
(In reply to comment #7)
> File a trac with rel-eng.

Here's the Trac request to Release Engineering: https://fedorahosted.org/rel-eng/ticket/5387
Their answer was that the right procedure is to submit a new review request to Bugzilla!

So, who's right?!
Comment 9 Michel Alexandre Salim 2012-11-13 22:29:33 EST
Per the last comment on that bug by Kevin Fenzi, looks like you can now build for F18.
Comment 10 Mattia M. 2012-11-15 03:06:02 EST
(In reply to comment #9)
> Per the last comment on that bug by Kevin Fenzi, looks like you can now
> build for F18.

Correct.
Now the themes are in the "updates-testing" repository.
Comment 11 leigh scott 2014-01-14 04:31:13 EST
Package Change Request
======================
Package Name: zukitwo
New Branches: epel7
Owners: leigh123linux
Comment 12 leigh scott 2014-01-14 04:31:50 EST
Hi Mattia,

Can I have a epel7 branch please?
I need it for my cinnamon port.


cinnamon has broken dependencies in the epel-7 tree:
On x86_64:
    cinnamon-2.0.14-7.el7.x86_64 requires zukitwo-gtk3-theme
    cinnamon-2.0.14-7.el7.x86_64 requires zukitwo-gtk2-theme
    cinnamon-2.0.14-7.el7.x86_64 requires tint2
    cinnamon-2.0.14-7.el7.x86_64 requires gnome-themes
    cinnamon-2.0.14-7.el7.x86_64 requires blueman
On ppc64:
    cinnamon-2.0.14-7.el7.ppc64 requires zukitwo-gtk3-theme
    cinnamon-2.0.14-7.el7.ppc64 requires zukitwo-gtk2-theme
    cinnamon-2.0.14-7.el7.ppc64 requires tint2
    cinnamon-2.0.14-7.el7.ppc64 requires gnome-themes
    cinnamon-2.0.14-7.el7.ppc64 requires blueman
Please resolve this as soon as possible.


Many thanks

Leigh
Comment 13 Jon Ciesla 2014-01-14 08:11:01 EST
Any comments from the Fedora maintainers?
Comment 14 leigh scott 2015-01-21 11:59:55 EST
Package Change Request
======================
Package Name: zukitwo
New Branches: f20 f21
Owners: leigh123linux
Comment 15 Jon Ciesla 2015-01-21 12:53:02 EST
Complete.

Note You need to log in before you can comment on or make changes to this bug.